describe('BaseCollection', function() {
  it('can create a collection for a resource', function() {
    var collectionClass = BaseCollection.forResource('foos');
    var instance = new collectionClass();

    expect(typeof collectionClass).toEqual('function');
    expect(instance.url()).toEqual('/foos.json');
  });

  it('can give a collection name for a resource', function() {
    App.Models.CollectionNameTest = BaseModel.forResource('collection_name_tests');
    App.Models.CollectionNameTest.Collection = {};

    expect(
      BaseCollection.collectionClassForResource('collection_name_tests')
    ).toEqual(App.Models.CollectionNameTest.Collection);
  });
});
